<?php

include_once("../../formularios/data/connect.php");

if (stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml"))
	header("Content-type: application/xhtml+xml");
else
	header("Content-type: text/xml");
				
$op = $_GET['op'] ? $_GET['op'] : '';
$buscid = $_GET['buscid'] ? $_GET['buscid'] : 0;

print '<?xml version="1.0" encoding="utf-8"?>'."\n".
		'<rows>'."\n";

switch($op)
{
	case 'costo':
		$query = "SELECT Y.IdProyecto, Nombre, CostoTotal, CostoPresup, CostoReal, DATE_FORMAT(FechaInicioReal,'%d/%m/%Y') FechaInicioReal, DATE_FORMAT(FechaFinalReal,'%d/%m/%Y') FechaFinalReal, PorcentAvancePresup, PorcentAvanceReal FROM proyectos Y LEFT JOIN (SELECT PR.* FROM progreso PR, (SELECT IdProyecto, MAX(Fecha) AS Fecha FROM progreso GROUP BY IdProyecto)PR2 WHERE PR.IdProyecto = PR2.IdProyecto AND PR.Fecha = PR2.Fecha) R ON Y.IdProyecto = R.IdProyecto WHERE Y.IdPrograma = $buscid GROUP BY Y.IdPrograma";
		
		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			$costototal = $row['CostoTotal'];
			$costopresup = $row['CostoPresup'];
			$costoreal = $row['CostoReal']; 
			$avancepresup = $row['PorcentAvancePresup'];
			$avancereal = $row['PorcentAvanceReal'];
			$EV = $costototal * $avancereal / 100;
			$variacosto = $EV - $v_costoreal;
			if($EV > 0)
				$porcosto = $variacosto / $EV * 100;
			else
				$porcosto = 0;
				 
			print '<row id="'.$row['IdProyecto'].'">
					   <cell>'.$row['IdProyecto'].'</cell>
					   <cell>'.utf8_encode($row['Nombre']).'</cell>
					   <cell>'.number_format($costototal,0).' €</cell>
					   <cell>'.number_format($costoreal,0).' €</cell>
					   <cell>'.$row['FechaInicioReal'].'</cell>
					   <cell>'.$row['FechaFinalReal'].'</cell>
					   <cell>'.number_format($variacosto,0).' €</cell>
					   <cell>'.number_format($porcosto,2).' %</cell>
					   <cell>'.$avancepresup.' %</cell>
					   <cell>'.$avancereal.' %</cell>
				   </row>';
		}
		break;

	case 'plan':
		/*$query = "";
		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			print '<row id="'.$row['IdEntidad'].'">
					   <cell>'.utf8_encode($row['Nombre']).'</cell>
					   <cell>'.number_format($row['Evaluacion'],1).'</cell>
					   <cell>'.number_format($row['Gasto'],0).' €</cell>
					   <cell>'.$row['Cont'].'</cell>
				   </row>';
		}*/
		print '<row id="'.'1'.'">
		   <cell>'.'MS-46513'.'</cell>
		   <cell>'.'Asistencia Técnica'.'</cell>
		   <cell>'.'01/01/2010'.'</cell>
		   <cell>'.'01/01/2010'.'</cell>
		   <cell>'.'31/12/2013'.'</cell>
		   <cell>'.''.'</cell>
		   <cell>'.'0'.'</cell>
		   <cell>'.'50%'.'</cell>
		   <cell>'.'50%'.'</cell>
	   	</row>';
		break;
}

print '</rows>';

?>